import { Metadata } from "next";
import { DollarSign } from "lucide-react";

import { Card, CardContent, CardHeader, CardTitle } from "@/components/ui/card";
import DashboardCard from "@/components/DashboardCard";

export const metadata: Metadata = {
  title: "Startseite | MYP",
};

export default function HomePage() {
  return (
    <div className="w-full">
      <div className="flex flex-col justify-evenly gap-8 lg:flex-row">
        <DashboardCard
          title="Druckstunden"
          data="200"
          icon="Clock"
          trend="none"
        />
        <DashboardCard
          title="Lieblingsdrucker"
          data="200"
          icon="Heart"
          trend="none"
        />
        <DashboardCard
          title="Am häfigsten gedruckt am"
          data="200"
          icon="CalendarDays"
          trend="none"
        />
        <DashboardCard
          title="Erfolgreiche Drucke"
          data="200"
          icon="PackageCheck"
          trend="none"
        />
        <DashboardCard
          title="Gemeldete Fehler"
          data="200"
          icon="ShieldAlert"
          trend="none"
        />
      </div>
    </div>
  );
}
