import Link from "next/link";
import { VaultIcon } from "lucide-react";
import { Avatar, AvatarFallback } from "@/components/ui/avatar";

interface HeaderProps {}
export default function Header(props: HeaderProps) {
  return (
    <header className="flex h-16 items-center justify-between bg-neutral-900 px-96 text-neutral-50">
      <Link
        href="/"
        className="flex select-none items-center gap-2 text-lg font-semibold"
      >
        <VaultIcon className="h-6 w-6" />
        <div className="font-mono">MYP</div>
        <span className="sr-only">Manage your Printer</span>
      </Link>
      <Avatar className="select-none">
        <AvatarFallback className="border-2 border-neutral-700 bg-neutral-800 text-blue-50">
          CN
        </AvatarFallback>
      </Avatar>
    </header>
  );
}
